---

# Version of pgweb to install
pgweb_version: 0.12.0
# URL of the archive
pgweb_archive_url: https://github.com/sosedoff/pgweb/releases/download/v{{ pgweb_version }}/pgweb_linux_amd64.zip
# Expected sha256 of the archive
pgweb_archive_sha256: eb8f7365765434f6ac2f4134fcf1ea251bcdb059c80cf87967a1450e892b8a91
# Where will pgweb be installed
pgweb_root_dir: /opt/pgweb
# SHould ansible handle upgrades or just initial install
pgweb_manage_upgrade: True

# User under which pgweb will run (will be created)
pgweb_user: pgweb

# Port on which pgweb will listen
pgweb_port: 8086
# List of IP adddresses/CIDR for which the port will be opened (if iptables_manage == True)
pgweb_src_ip: []

# pgweb_bookmarks:
#   - name: my_db
#     url: postgres://user:url_encoded_pass@server.example.org:5432/db_name?sslmode=disabled
#   - name: other_db
#     host: postgres.example.org # mandatory (if url isn't given)
#     database: db_name          # mandatory (if url isn't given)
#     port: 5433
#     user: sqladmin
#     pass: S3cr3t.
pgweb_bookmarks: []
# Set it to another location if you want to manage bookmarks independently
pg_web_bookmark_dir: "{{ pgweb_root_dir }}/bookmarks"

# If connections with SSH tunnels is allowed
pgweb_ssh_tunnels: False

